﻿Imports System.Data.Entity

Public Class ContextoBD
    Inherits System.Data.Entity.DbContext

    Public Property CategoriaProduto As System.Data.Entity.DbSet(Of CategoriaProduto)
    Public Property Produto As System.Data.Entity.DbSet(Of Produto)

    Public Sub New()
        If Not CategoriaProduto.Any() Then
            CategoriaProduto.Add(New CategoriaProduto() With {.Id = 1, .Nome = "Smartphone"})
            CategoriaProduto.Add(New CategoriaProduto() With {.Id = 2, .Nome = "Computador"})
            CategoriaProduto.Add(New CategoriaProduto() With {.Id = 3, .Nome = "Máquina fotográfica"})
            SaveChanges()
        End If
    End Sub

    Protected Overrides Sub OnModelCreating(ByVal modelBuilder As System.Data.Entity.DbModelBuilder)
        MyBase.OnModelCreating(modelBuilder)
        modelBuilder.Conventions.Remove(Of System.Data.Entity.ModelConfiguration.Conventions.PluralizingTableNameConvention)()
    End Sub
End Class