﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EntityFrameworkIntro
{
    public class ContextoBD : System.Data.Entity.DbContext
    {
        public System.Data.Entity.DbSet<Model.CategoriaProduto> CategoriaProduto { get; set; }
        public System.Data.Entity.DbSet<Model.Produto> Produto { get; set; }

        public ContextoBD() : base()
        {
            if (!CategoriaProduto.Any())
            {
                CategoriaProduto.Add(new Model.CategoriaProduto() { Id = 1, Nome = "Smartphone" });
                CategoriaProduto.Add(new Model.CategoriaProduto() { Id = 2, Nome = "Computador" });
                CategoriaProduto.Add(new Model.CategoriaProduto() { Id = 3, Nome = "Máquina fotográfica" });
                SaveChanges();
            }
        }

        protected override void OnModelCreating(System.Data.Entity.DbModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
            modelBuilder.Conventions.Remove<System.Data.Entity.ModelConfiguration.Conventions.PluralizingTableNameConvention>();
        }
    }
}
