﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.Entity;

namespace EntityFrameworkIntro
{
    public partial class Form1 : Form
    {
        private ContextoBD _bd = new ContextoBD();

        public Form1()
        {
            InitializeComponent();

            _bd.CategoriaProduto.Load();
            categoriaColumn.DataSource = _bd.CategoriaProduto.Local.ToBindingList();
            categoriaColumn.ValueMember = "Id";
            categoriaColumn.DisplayMember = "Nome";

            _bd.Produto.Load();
            dataGridViewProdutos.AutoGenerateColumns = false;
            dataGridViewProdutos.DataSource = _bd.Produto.Local.ToBindingList();
            dataGridViewProdutos.DataError += (s, e) => { };
        }

        private void btSalvar_Click(object sender, EventArgs e)
        {
            _bd.SaveChanges();
        }
    }
}
